MCPRemote MCP server for Cursor and Claude Code, on your existing API key→ Read the docs
QuikSEO.com

API reference

Websites

The websites endpoints of the QuikSEO REST API, each with its method, path, parameters and an example request and answer. Send your API key as a Bearer token in the Authorization header; every request works on the data of the account that owns the key, and every answer is JSON.

GET https://app.quikseo.com/api/websites/
curl --request GET \
--url 'https://app.quikseo.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: host.
datetime_field Optional String Allowed values: datetime, last_datetime, last_audit_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: website_id, datetime, last_datetime, last_audit_datetime, host, score, total_audits, total_archived_audits, total_issues.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "domain_id": 0,
            "scheme": "https",
            "host": "example.com",
            "sitemap_url": "https://example.com/sitemap.xml",
            "total_sitemap_urls": 25,
            "score": 100,
            "ahrefs_domain_rating": 0,
            "total_audits": 10,
            "total_archived_audits": 5,
            "total_issues": 0,
            "major_issues": 0,
            "moderate_issues": 0,
            "minor_issues": 0,
            "directory_is_enabled_and_verified": 0,
            "next_ahrefs_domain_rating_check_datetime": null,
            "google_search_console_is_enabled": 0,
            "google_search_console": {},
            "last_sitemap_check_datetime": null,
            "next_sitemap_check_datetime": null,
            "last_audit_datetime": "2024-11-10 02:26:19",
            "last_datetime": null,
            "datetime": "2026-01-01 00:00:00"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://app.quikseo.com/api/websites?page=1",
        "last": "https://app.quikseo.com/api/websites?page=1",
        "next": null,
        "prev": null,
        "self": "https://app.quikseo.com/api/websites?page=1"
    }
}
GET https://app.quikseo.com/api/websites/{website_id}
curl --request GET \
--url 'https://app.quikseo.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "domain_id": 0,
        "scheme": "https",
        "host": "example.com",
        "sitemap_url": "https://example.com/sitemap.xml",
        "total_sitemap_urls": 25,
        "score": 100,
        "ahrefs_domain_rating": 0,
        "total_audits": 10,
        "total_archived_audits": 5,
        "total_issues": 0,
        "major_issues": 0,
        "moderate_issues": 0,
        "minor_issues": 0,
        "directory_is_enabled_and_verified": 0,
        "next_ahrefs_domain_rating_check_datetime": null,
        "google_search_console_is_enabled": 0,
        "google_search_console": {},
        "last_sitemap_check_datetime": null,
        "next_sitemap_check_datetime": null,
        "last_audit_datetime": "2024-11-10 02:26:19",
        "last_datetime": null,
        "datetime": "2026-01-01 00:00:00"
    }
}
POST https://app.quikseo.com/api/websites/{website_id}
Parameters Details Description
domain_id Optional Integer -
password Optional String -
is_public Optional Boolean -
audit_check_interval Optional Integer Allowed values: {empty_string},21600, 43200, 86400, 259200, 432000, 604800, 864000, 1296000, 2592000 (seconds)
notifications Optional Array Notification handler ids
notifications_mode Optional String Allowed values: always, changes, regressions
directory_is_enabled_and_verified Optional Boolean -
sitemap_url Optional String -
website_sitemap_check_interval Optional Integer Allowed values: {empty_string},21600, 43200, 86400, 259200, 432000, 604800, 864000, 1296000, 2592000 (seconds)
curl --request POST \
--url 'https://app.quikseo.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "domain_id": 0,
        "scheme": "https",
        "host": "example.com",
        "sitemap_url": "https://example.com/sitemap.xml",
        "total_sitemap_urls": 25,
        "score": 100,
        "ahrefs_domain_rating": 0,
        "total_audits": 10,
        "total_archived_audits": 5,
        "total_issues": 0,
        "major_issues": 0,
        "moderate_issues": 0,
        "minor_issues": 0,
        "directory_is_enabled_and_verified": 0,
        "next_ahrefs_domain_rating_check_datetime": null,
        "google_search_console_is_enabled": 0,
        "google_search_console": {},
        "last_sitemap_check_datetime": null,
        "next_sitemap_check_datetime": null,
        "last_audit_datetime": "2024-11-10 02:26:19",
        "last_datetime": "2026-01-01 00:00:00",
        "datetime": "2026-01-01 00:00:00"
    }
}
DELETE https://app.quikseo.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://app.quikseo.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \